import java.util.Scanner;

/**
 * 
 * @author schauer
 * 
 * Die Klasse KreisTest aus dem Java-Kurs
 * 
 * Diese beinhaltet nur die Main-Methode und definiert somit den Programmablauf.
 * Hier wird der Nutzer mittels Console nach dem Radius gefragt. 
 *
 */
public class KreisTest2 {

	// Main-Methode
	public static void main(String[] args) {
		
		// Erzeugung des Objekts k1 aus der Klasse Kreis
		Kreis k1 = new Kreis();
		
		//Scanner Objekt erzeugen
		Scanner scan = new Scanner(System.in);
	
		// Auffoderung
		System.out.println("Bitte geben Sie einen Wert fuer den Raius ein: ");
		
		//Double-Wert einlesen
		double eingabe = scan.nextDouble();
		
		// Die Eingabe vom Typ double wird dem Kreisobjekt mittels Setter mitgeteilt. 
		k1.setRadidus(eingabe);
		
		// Ausgabe des Radius-Wertes auf der Konsole ueber den Getter der Kreis-Klasse
		System.out.println("Radius ist: "+k1.getRadius());
		
		// Aufruf der Methode getFlaeche() auf dem Objekt k1 und abspeichern in eine lokale Variabel vom Typ double.
		//double flaeche_k1 = k1.getFlaeche();
		
		//Ausgabe der Flaeche
		System.out.println("Flaeche ist: "+ String.format("%.2f", k1.getFlaeche()));
		
		// Aufruf der Methode getUmfang() auf dem Objekt k1 und direkte Ausgabe des Wertes auf der Konsole.
		// Hinweis: System.format() dient lediglich der Fomatierung des Wertes fr die Konsolenausgabe.
		System.out.println("Umfangs ist: "+String.format("%.2f", k1.getUmfang()));
		
		//Close Inputstream
		scan.close();
		
	}
	
}
